Computer Security
[EN] securityvulns.ru no-pyccku


libzip library / PHP DoS
Published:21.03.2011
Source:
SecurityVulns ID:11512
Type:library
Threat Level:
6/10
Description:NULL pointer dereference in _zip_name_locate.
Affected:PHP : PHP 5.3
 LIBZIP : libzip 0.9
CVE:CVE-2011-0421 (The _zip_name_locate function in zip_name_locate.c in the Zip extension in PHP before 5.3.6 does not properly handle a ZIPARCHIVE::FL_UNCHANGED argument, which might allow context-dependent attackers to cause a denial of service (NULL pointer dereference) via an empty ZIP archive that is processed with a (1) locateName or (2) statName operation.)
Original documentdocumentMaksymilian Arciemowicz, libzip 0.9.3 _zip_name_locate NULL Pointer Dereference (incl PHP 5.3.5) (21.03.2011)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod